const vec2 blurOffsets4[4] = vec2[](
                             vec2(0.2184865, -0.0921137),
                             vec2(-0.5866113, 0.3215379),
                             vec2(-0.0659508, -0.8796561),
                             vec2(0.4340756, 0.6502318)
);

vec4 getDiskBlur4(sampler2D colortex, vec2 coord, float strength) {
    vec4 blur = vec4(0.0);

    vec2 invSize = vec2(1.0 / viewWidth, 1.0 / viewHeight);

    blur += texture2D(colortex, coord + blurOffsets4[0] * strength * invSize);
    blur += texture2D(colortex, coord + blurOffsets4[1] * strength * invSize);
    blur += texture2D(colortex, coord + blurOffsets4[2] * strength * invSize);
    blur += texture2D(colortex, coord + blurOffsets4[3] * strength * invSize);

    return blur * 0.25;
}